Start typing to search.

API Reference

Set customer OAuth app credentials (BYOA)

View Markdown

Upserts the Saffron installed integration in byoa mode with the given client id/secret. Only valid when catalog client.id is dummy .

PUT /api/connectors/{id}/oauth-app

Upserts the Saffron installed integration in byoa mode with the given client id/secret. Only valid when catalog client.id is dummy.

Operation ID: putConnectorOAuthApp

Authentication

Option 1

  • BearerAuth (http bearer) API key token. Create via POST /api/api-keys. Format: envoy_<hex>

Option 2

  • CookieAuth (apiKey) Session cookie set after login + TOTP verification

Path parameters

  • idinteger, required Resource ID

Request body

The request body is required.

application/json

  • Type: object
  • Properties:
    • client_id (string, required)
    • client_secret (string)

Success responses

200

Updated status (same shape as GET)

Error responses

400

Validation or Saffron error

404

Resource not found

Content type: application/json

  • Reference: Error
    • Type: object
    • Properties:
      • error (string)
        • Example: NOT_FOUND
      • message (string)
        • Example: Resource not found

Example:

{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}

Examples

cURL

curl --request PUT \
  --url 'https://your-envoy.example.com/api/connectors/YOUR_ID/oauth-app' \
  --header 'Authorization: Bearer $API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "client_id": "string"
}'

JavaScript (fetch)

const response = await fetch('https://your-envoy.example.com/api/connectors/YOUR_ID/oauth-app', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "client_id": "string"
  }),
});
 
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);